/*
 *  arch-tag: Header for cover select
 *
 *  Copyright (C) 2004,2005 Marc Pavot <m.pavot@laposte.net>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 *
 */


#ifndef __RB_SHELL_COVERSELECT_H
#define __RB_SHELL_COVERSELECT_H

G_BEGIN_DECLS

#define RB_TYPE_SHELL_COVERSELECT         (rb_shell_coverselect_get_type ())
#define RB_SHELL_COVERSELECT(o)           (G_TYPE_CHECK_INSTANCE_CAST ((o), RB_TYPE_SHELL_COVERSELECT, RBShellCoverselect))
#define RB_SHELL_COVERSELECT_CLASS(k)     (G_TYPE_CHECK_CLASS_CAST((k), RB_TYPE_SHELL_COVERSELECT, RBShellCoverselectClass))
#define RB_IS_SHELL_COVERSELECT(o)        (G_TYPE_CHECK_INSTANCE_TYPE ((o), RB_TYPE_SHELL_COVERSELECT))
#define RB_IS_SHELL_COVERSELECT_CLASS(k)  (G_TYPE_CHECK_CLASS_TYPE ((k), RB_TYPE_SHELL_COVERSELECT))
#define RB_SHELL_COVERSELECT_GET_CLASS(o) (G_TYPE_INSTANCE_GET_CLASS ((o), RB_TYPE_SHELL_COVERSELECT, RBShellCoverselectClass))

typedef struct RBShellCoverselectPrivate RBShellCoverselectPrivate;

typedef struct
{
	GtkDialog parent;

	RBShellCoverselectPrivate *priv;
} RBShellCoverselect;

typedef struct
{
	GtkDialogClass parent_class;
} RBShellCoverselectClass;

GType      	rb_shell_coverselect_get_type 	(void);

GtkWidget * 	rb_shell_coverselect_new 	(const char *artist,
			        		 const char *album);

G_END_DECLS

#endif /* __RB_SHELL_COVERSELECT_H */
